summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConstanze Hausner <constanze@gentoo.org>2013-09-22 13:17:02 +0000
committerConstanze Hausner <constanze@gentoo.org>2013-09-22 13:17:02 +0000
commit38340faa7ac8bec252fb07bca4141a0b83adf9b6 (patch)
treeef0368aca292417a152c2d1205acdd7637d70466 /net-firewall/shorewall-lite/files/4.5.18-r1
parentBugfix 459316 for 4.5.18; Thanks to Thomas D. (diff)
downloadgentoo-2-38340faa7ac8bec252fb07bca4141a0b83adf9b6.tar.gz
gentoo-2-38340faa7ac8bec252fb07bca4141a0b83adf9b6.tar.bz2
gentoo-2-38340faa7ac8bec252fb07bca4141a0b83adf9b6.zip
Bugfix 459316 for 4.5.18; Thanks to Thomas D.
(Portage version: 2.2.1/cvs/Linux x86_64, signed Manifest commit with key BB80F419010E3EC3)
Diffstat (limited to 'net-firewall/shorewall-lite/files/4.5.18-r1')
-rw-r--r--net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.initd82
-rw-r--r--net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.systemd20
-rw-r--r--net-firewall/shorewall-lite/files/4.5.18-r1/shorewallrc_new22
3 files changed, 124 insertions, 0 deletions
diff --git a/net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.initd b/net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.initd
new file mode 100644
index 000000000000..3511ba19408c
--- /dev/null
+++ b/net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.initd
@@ -0,0 +1,82 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.initd,v 1.1 2013/09/22 13:17:02 constanze Exp $
+
+description='The Shoreline Firewall Lite, more commonly known as "Shorewall Lite", is'
+description="${description} a high-level tool for configuring Netfilter."
+
+extra_commands="clear"
+extra_started_commands="reset"
+
+description_clear="Clear will remove all rules and chains installed by"
+description_clear="${description_clear} Shorewall Lite. The firewall is"
+description_clear="${description_clear} then wide open and unprotected."
+
+description_reset="All the packet and byte counters in the firewall are reset."
+
+depend() {
+ need net
+ provide firewall
+ after ulogd
+}
+
+status() {
+ local _retval
+ /sbin/shorewall-lite status 1>/dev/null
+ _retval=$?
+ if [ ${_retval} = '0' ]; then
+ einfo 'status: started'
+ mark_service_started "${SVCNAME}"
+ return 0
+ else
+ einfo 'status: stopped'
+ mark_service_stopped "${SVCNAME}"
+ return 3
+ fi
+}
+
+start() {
+ ebegin "Starting shorewall-lite"
+ /sbin/shorewall-lite start 1>/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping shorewall-lite"
+ /sbin/shorewall-lite stop 1>/dev/null
+ eend $?
+}
+
+restart() {
+ # shorewall comes with its own control script that includes a
+ # restart function, so refrain from calling svc_stop/svc_start
+ # here. Note that this comment is required to fix bug 55576;
+ # runscript.sh greps this script... (09 Jul 2004 agriffis)
+
+ ebegin "Restarting shorewall-lite"
+ /sbin/shorewall-lite status 1>/dev/null
+ if [ $? != 0 ] ; then
+ svc_start
+ else
+ /sbin/shorewall-lite restart 1>/dev/null
+ fi
+ eend $?
+}
+
+clear() {
+ # clear will remove all the rules and bring the system to an unfirewalled
+ # state. (21 Nov 2004 eldad)
+
+ ebegin "Clearing all shorewall-lite rules and setting policy to ACCEPT"
+ /sbin/shorewall-lite clear 1>/dev/null
+ eend $?
+}
+
+reset() {
+ # reset the packet and byte counters in the firewall
+
+ ebegin "Resetting the packet and byte counters in shorewall-lite"
+ /sbin/shorewall-lite reset 1>/dev/null
+ eend $?
+}
diff --git a/net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.systemd b/net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.systemd
new file mode 100644
index 000000000000..aeb89b5abccb
--- /dev/null
+++ b/net-firewall/shorewall-lite/files/4.5.18-r1/shorewall-lite.systemd
@@ -0,0 +1,20 @@
+#
+# The Shoreline Firewall (Shorewall) Packet Filtering Firewall - V4.4
+#
+# Copyright 2011 Jonathan Underwood (jonathan.underwood@gmail.com)
+#
+[Unit]
+Description=Shorewall IPv4 firewall (lite)
+After=syslog.target
+After=network.target
+
+[Service]
+Type=oneshot
+RemainAfterExit=yes
+EnvironmentFile=/etc/shorewall-lite
+StandardOutput=syslog
+ExecStart=/sbin/shorewall-lite $OPTIONS start
+ExecStop=/sbin/shorewall-lite $OPTIONS stop
+
+[Install]
+WantedBy=multi-user.target
diff --git a/net-firewall/shorewall-lite/files/4.5.18-r1/shorewallrc_new b/net-firewall/shorewall-lite/files/4.5.18-r1/shorewallrc_new
new file mode 100644
index 000000000000..0f9301cfeb49
--- /dev/null
+++ b/net-firewall/shorewall-lite/files/4.5.18-r1/shorewallrc_new
@@ -0,0 +1,22 @@
+#
+# Gentoo Shorewall 4.5 rc file
+#
+BUILD= #Default is to detect the build system
+HOST=linux #Generic Linux
+PREFIX=@GENTOO_PORTAGE_EPREFIX@/usr #Top-level directory for shared files, libraries, etc.
+SHAREDIR=${PREFIX}/share #Directory for arch-neutral files.
+LIBEXECDIR=${PREFIX}/share #Directory for executable scripts.
+PERLLIBDIR=${PREFIX}/share/shorewall #Directory to install Shorewall Perl module directory
+CONFDIR=@GENTOO_PORTAGE_EPREFIX@/etc #Directory where subsystem configurations are installed
+SBINDIR=@GENTOO_PORTAGE_EPREFIX@/sbin #Directory where system administration programs are installed
+MANDIR=${PREFIX}/share/man #Directory where manpages are installed.
+INITDIR=${CONFDIR}/init.d #Directory where SysV init scripts are installed.
+INITFILE=${PRODUCT} #Name of the product's installed SysV init script
+INITSOURCE=init.gentoo.sh #Name of the distributed file to be installed as the SysV init script
+ANNOTATED= #If non-zero, annotated configuration files are installed
+SYSTEMD=@GENTOO_PORTAGE_EPREFIX@/usr/lib/systemd/system #Directory where .service files are installed (systems running systemd only)
+SYSCONFFILE= #Name of the distributed file to be installed in $SYSCONFDIR
+SYSCONFDIR=${CONFDIR}/conf.d #Directory where SysV init parameter files are installed
+SPARSE= #If non-empty, only install $PRODUCT/$PRODUCT.conf in $CONFDIR
+VARLIB=@GENTOO_PORTAGE_EPREFIX@/var/lib #Directory where product variable data is stored.
+VARDIR=${VARLIB}/${PRODUCT} #Directory where product variable data is stored.